<?php
/**
 * @package         SCLogin
 * @copyright (c)   2009-2023 by SourceCoast - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version         Release v9.1.82
 * @build-date      2024/03/21
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

/**
    File is deprecated. Only to be used for Joomla 4.1 and earlier two factor authentication
 ***/

$input = Factory::getApplication()->input;
$modId = $input->getInt('mod_id');
?>
<div class="sclogin-joomla-login">
    <?php echo Text::sprintf('MOD_SCLOGIN_SECRETKEY_LABEL', $input->post->get('u', '')); ?>
    <form method="post" id="sclogin-form-otp-<?php echo $modId ?>">
        <fieldset class="userdata <?php echo $helper->colClass;?>12">
            <div class="input-group <?php echo $helper->pullClass;?>left" id="form-sclogin-secretkey">
                <div class="controls">
                    <div class="input-append">
                        <input name="secretkey" tabindex="1" id="sclogin-input-secretkey" alt="secretkey" type="text" class="input-medium"
                               placeholder="<?php echo Text::_('MOD_SCLOGIN_SECRETKEY'); ?>">
                    </div>
                </div>
            </div>
        </fieldset>
        <button type="submit" name="Submit" class="btn btn-primary otp"><?php echo Text::_('MOD_SCLOGIN_LOGIN') ?></button>
        <button type="button" name="Cancel" class="btn btn-secondary cancel" onclick="sclogin.otp.reset('<?php echo $modId; ?>');">Cancel</button>
    </form>

</div>